<?php

namespace Drupal\config_policy\Result;

use Drupal\config_policy\Result\ResultItem\ResultItemInterface;

interface ResultInterface {

  public function add(ResultItemInterface $result_item): void;

  public function addMessage(string $message): void;

  /**
   * @return \Drupal\config_policy\Result\ResultItem\ResultItemInterface[]
   */
  public function getAll(): array;

  /**
   * @return string[]
   */
  public function getMessages(): array;

  /**
   * @return \Drupal\config_policy\Result\ResultItem\ResultItemInterface[]
   */
  public function get(string $type): array;

  public function countAll(): int;

  public function count(string $type): int;

  public function groupResultsByConfig(bool $skip_ok): array;

}
